-- name: [CS] Nicole & Jecka
-- description: Adds Jecka & Nicole from Class of '09 as playable characters. \n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!

local E_MODEL_NICOLE = smlua_model_util_get_id("nicole_geo")
local E_MODEL_JECKA = smlua_model_util_get_id("jecka_geo")

local TEX_NICOLE = get_texture_info("nicole-icon")
local TEX_JECKA = get_texture_info("jecka-icon")

-- Model Pack name used 
local TEXT_MOD_NAME = "The Class of '09"

local VOICETABLE_NONE = {nil}

if _G.charSelectExists then
    _G.charSelect.character_add("Nicole", {"Everybody's favorite sociopath."}, "iitsAP", {r = 65, g = 165, b = 193}, E_MODEL_NICOLE, CT_MARIO, TEX_NICOLE)
    _G.charSelect.character_add("Jecka", {"Try not to catch her on the flipside."}, "iitsAP", {r = 240, g = 135, b = 209}, E_MODEL_JECKA, CT_MARIO, TEX_JECKA)

    _G.charSelect.character_add_voice(E_MODEL_JECKA, VOICETABLE_NONE)
    _G.charSelect.character_add_voice(E_MODEL_NICOLE, VOICETABLE_NONE)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_NONE then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_NONE then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end